Package org.springframework.beans

# Class NotReadablePropertyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.beans.BeansException
org.springframework.beans.FatalBeanException
org.springframework.beans.InvalidPropertyException
org.springframework.beans.NotReadablePropertyException

All Implemented Interfaces:
  `Serializable`

public class NotReadablePropertyException extends InvalidPropertyException
Exception thrown on an attempt to get the value of a property that isn't readable, because there's no getter method.

Since:
  1.0.2
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NotReadablePropertyException(Class<?> beanClass, String propertyName)`
Create a new NotReadablePropertyException.
`NotReadablePropertyException(Class<?> beanClass, String propertyName, String msg)`
Create a new NotReadablePropertyException.
`NotReadablePropertyException(Class<?> beanClass, String propertyName, String msg, Throwable cause)`
Create a new NotReadablePropertyException.

## Method Summary

### Methods inherited from class org.springframework.beans.InvalidPropertyException

`getBeanClass, getPropertyName`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotReadablePropertyException

public NotReadablePropertyException(Class<?> beanClass, String propertyName)
Create a new NotReadablePropertyException.

Parameters:
  `beanClass` - the offending bean class
  `propertyName` - the offending property

### NotReadablePropertyException

public NotReadablePropertyException(Class<?> beanClass, String propertyName, String msg)
Create a new NotReadablePropertyException.

Parameters:
  `beanClass` - the offending bean class
  `propertyName` - the offending property
  `msg` - the detail message

### NotReadablePropertyException

public NotReadablePropertyException(Class<?> beanClass, String propertyName, String msg, Throwable cause)
Create a new NotReadablePropertyException.

Parameters:
  `beanClass` - the offending bean class
  `propertyName` - the offending property
  `msg` - the detail message
  `cause` - the root cause
Since:
  4.0.9